VisualEditor: Can't return to save dialog after reviewing null edit
Closed, ResolvedPublic

Description

reported on en.wp by Atethnekos:

"So I put a space and then a backspace. Go to save, review changes to check and make sure it is a null edit, then it goes to this "processing" dialogue but then it shows "Could not start the review because your revision matches the latest version of this page." So then I press the little back link on the dialogue, but it just goes back to the processing dialogue. If the page is small, the processing is really quick, so before I can even press back again, it goes back to the "Could not start" warning message. Even if I do manage to press the back a second time quickly, it will only stay at the save dialogue for a split second and then again bring me to the warning message, although then pressing back does take me to the save dialogue securely. FF 23.0.1 Win7"

I've confirmed this in Firefox 23.0 on Linux.
The issue is with the < link only. Clicking the ^ does return you to the editing screen as expected.


Version: unspecified
Severity: minor

bzimport set Reference to bz53313.
Thryduulf created this task.Via LegacyAug 25 2013, 10:27 AM
Elitre added a comment.Via ConduitAug 25 2013, 10:35 AM
  • Bug 53314 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitSep 4 2013, 8:14 PM

Change 81876 had a related patch set uploaded by Jforrester:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

gerritbot added a comment.Via ConduitOct 7 2013, 11:02 PM

Change 81876 merged by jenkins-bot:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

Jdforrester-WMF added a comment.Via ConduitOct 7 2013, 11:04 PM

The fix for this is now merged and will be deployed on Thursday 10 October to MediaWiki.org, and to Wikipedias on Thursday 17 October.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.